# TCPPExt.hxx File Reference

`#include <MS.hxx>`
`#include <EDL_API.hxx>`
`#include <MS_MetaSchema.hxx>`
`#include <MS_Class.hxx>`
`#include <MS_GenClass.hxx>`
`#include <MS_InstClass.hxx>`
`#include <MS_Package.hxx>`
`#include <MS_Error.hxx>`
`#include <MS_Imported.hxx>`
`#include <MS_InstMet.hxx>`
`#include <MS_ClassMet.hxx>`
`#include <MS_Construc.hxx>`
`#include <MS_ExternMet.hxx>`
`#include <MS_Param.hxx>`
`#include <MS_Field.hxx>`
`#include <MS_GenType.hxx>`
`#include <MS_Enum.hxx>`
`#include <MS_PrimType.hxx>`
`#include <MS_Alias.hxx>`
`#include <MS_Pointer.hxx>`
`#include <MS_HSequenceOfMemberMet.hxx>`
`#include <MS_HSequenceOfExternMet.hxx>`
`#include <MS_HSequenceOfParam.hxx>`
`#include <MS_HSequenceOfField.hxx>`
`#include <MS_HSequenceOfGenType.hxx>`
`#include <TColStd_HSequenceOfHAsciiString.hxx>`
`#include <TColStd_HSequenceOfInteger.hxx>`
`#include <TCollection_HAsciiString.hxx>`
`#include <Standard_NoSuchObject.hxx>`
`#include <Standard_Macro.hxx>`

## Functions

Standard_EXPORT | Handle (TColStd_HSequenceOfHAsciiString) TCPP_TemplatesUsed()
void Standard_EXPORT | TCPP_Extract (const Handle(MS_MetaSchema)&ams, const Handle(TCollection_HAsciiString)&aname, const Handle(TColStd_HSequenceOfHAsciiString)&edlsfullpath, const Handle(TCollection_HAsciiString)&outdir, const Handle(TColStd_HSequenceOfHAsciiString)&outfile, const Standard_CString)

## Variables

Standard_CString | VClass = "%Class"
Standard_CString | VRetSpec = "%RetSpec"
Standard_CString | VVirtual = "%Virtual"
Standard_CString | VReturn = "%Return"
Standard_CString | VAnd = "%And"
Standard_CString | VMethodName = "%MethodName"
Standard_CString | VArgument = "%Arguments"
Standard_CString | VMetSpec = "%MetSpec"
Standard_CString | VMethod = "%Method"
Standard_CString | VIsInline = "%IsInline"
Standard_CString | VIsCreateMethod = "%IsCreateMethod"
Standard_CString | VCxxFile = "CxxFile"
Standard_CString | VLxxFile = "LxxFile"
Standard_CString | VMethodHeader = "%MethodHeader"
Standard_CString | VConstructorHeader = "%ConstructorHeader"

## Function Documentation

Standard_EXPORT Handle | ( | TColStd_HSequenceOfHAsciiString |  | ) |

void Standard_EXPORT TCPP_Extract | ( | const Handle(MS_MetaSchema)& | ams,
|  | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | edlsfullpath,
|  | const Handle(TCollection_HAsciiString)& | outdir,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | outfile,
|  | const | Standard_CString
| ) |

## Variable Documentation

Standard_CString VAnd = "%And"

Standard_CString VArgument = "%Arguments"

Standard_CString VClass = "%Class"

Standard_CString VConstructorHeader = "%ConstructorHeader"

Standard_CString VCxxFile = "CxxFile"

Standard_CString VIsCreateMethod = "%IsCreateMethod"

Standard_CString VIsInline = "%IsInline"

Standard_CString VLxxFile = "LxxFile"

Standard_CString VMethod = "%Method"

Standard_CString VMethodHeader = "%MethodHeader"

Standard_CString VMethodName = "%MethodName"

Standard_CString VMetSpec = "%MetSpec"

Standard_CString VRetSpec = "%RetSpec"

Standard_CString VReturn = "%Return"

Standard_CString VVirtual = "%Virtual"